/*
**	Add-on function for STEPforward flowcharts.
**	Release 2.0
**	Copyright (c) 1998, Phoenix Data Trend.  All rights reserved.
**
**	You can use this source code as a prototype to develop your
**	own precompiled functions for inclusion into the STEPforward
**	function inventory.
**
**	Note, however, that Phoenix Data Trend does not provide a
**	warranty or support for the functions developed by the user,
**	nor is Phoenix Data Trend liable for any indirect, special,
**	incidental or consequential damages that the use of such
**	functions may cause.
*/

#import "SFSystemFunction.h"

@interface SFPrefixToText : SFSystemFunction
{
	id glAccountManager;		/* GLAccountManager to interpret the prefix */
}

+ alloc;
- initFor: (id) sender;
- (int) returnType;
- (NSString *) descriptionForFunction: (NSString *) name;
- (NSString *) functionName;
- execute: (NSArray *) parmList;
- (void) dealloc;
- initWithCoder: (NSCoder *) aDecoder;

@end