#define	EXISTS				20001	/* Row exists in the table */
#define	NOT_EXISTS			20002	/* Row does not exist in the table */
#define	DUPLICATE_KEY		20003	/* Attempt to insert duplicate key in unique index */
#define	GENERAL_FAILURE	20004	/* Undifferentiated failure */

#undef BLOB
typedef struct
{
	int length;					/* Length of data */
	void *data;				/* Pointer to the data buffer */
}	BLOB;

#ifndef SUCCEED
#define	SUCCEED				1
#define	FAIL						0
#define	NO_MORE_RESULTS		2
#define	MORE_ROWS				-1
#define	NO_MORE_ROWS			-2
#define	REG_ROW				MORE_ROWS
#define	BUF_FULL				-3
#endif